Subject: bug#350: ido-mode not compatible with url-handler-mode

From: Leo Liu <[email-masked]>
Date: Sun, 14 Jul 2013 11:07:50 +0800

On 2013-07-14 04:07 +0800, Stefan Monnier wrote:
> No, it should be fixed instead.  The fix is pretty simple: make
> url-file-name-completion and url-file-name-all-completions return
> a valid value which represents the fact that we don't know what could be
> the completions ("everything could be a valid completion") instead of
> signaling an error.

Do you mean removing all of the following in url-handlers.el?

,----
| (defun url-file-name-completion (url directory &optional predicate)
|   (error "Unimplemented"))
| (put 'file-name-completion 'url-file-handlers 'url-file-name-completion)
| 
| (defun url-file-name-all-completions (file directory)
|   (error "Unimplemented"))
| (put 'file-name-all-completions
|      'url-file-handlers 'url-file-name-all-completions)
`----

Also, url-handler-regexp and tramp's syntax seems colliding.

Leo